## GladeEditor

GladeEditor — A Widget to edit a GladeWidget.

## Functions

#define | GLADE_EDITOR_TABLE()
#define | GLADE_IS_EDITOR_TABLE()
GladeEditor * | glade_editor_new ()
void | glade_editor_load_widget ()
gboolean | glade_editor_query_dialog ()
void | glade_editor_show_info ()
void | glade_editor_hide_info ()

## Properties

gchar * | class-field | Read
gboolean | show-class-field | Read / Write
gboolean | show-info | Read
GladeWidget * | widget | Read / Write

## Types and Values

struct | GladeEditorTable
struct | GladeEditor

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── GladeEditor

## Implemented Interfaces

GladeEditor implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

This is the Glade Notebook containing all the controls needed to configure a GladeWidget.

## Functions

### GLADE_EDITOR_TABLE()

    #define GLADE_EDITOR_TABLE(obj)		    (G_TYPE_CHECK_INSTANCE_CAST ((obj), GLADE_TYPE_EDITOR_TABLE, GladeEditorTable))

### GLADE_IS_EDITOR_TABLE()

    #define GLADE_IS_EDITOR_TABLE(obj)	    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GLADE_TYPE_EDITOR_TABLE))

### glade_editor_new ()

    GladeEditor *
    glade_editor_new (void);

#### Returns

a new GladeEditor

### glade_editor_load_widget ()

    void
    glade_editor_load_widget (GladeEditor *editor,
                              GladeWidget *widget);

Load `widget` into `editor` . If `widget` is `NULL`, clear the editor.

#### Parameters

editor | a GladeEditor |
widget | a GladeWidget |

### glade_editor_query_dialog ()

    gboolean
    glade_editor_query_dialog (GladeWidget *widget);

### glade_editor_show_info ()

    void
    glade_editor_show_info (GladeEditor *editor);

`glade_editor_show_info` is deprecated and should not be used in newly-written code.

### glade_editor_hide_info ()

    void
    glade_editor_hide_info (GladeEditor *editor);

`glade_editor_hide_info` is deprecated and should not be used in newly-written code.

## Types and Values

### struct GladeEditorTable

    struct GladeEditorTable {
      GtkGrid  parent;

      GladeEditorTablePrivate *priv;
    };

### struct GladeEditor

    struct GladeEditor;

## Property Details

### The `“class-field”` property

      “class-field”              gchar *

The class field string.

Flags: Read

Default value: NULL

### The `“show-class-field”` property

      “show-class-field”         gboolean

Whether to show the class field at the top.

Flags: Read / Write

Default value: TRUE

### The `“show-info”` property

      “show-info”                gboolean

Whether to show an informational button for the loaded widget.

Flags: Read

Default value: FALSE

### The `“widget”` property

      “widget”                   GladeWidget *

The currently loaded widget in this editor.

Flags: Read / Write